summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2010-11-30 23:36:13 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2010-11-30 23:36:13 +0100
commit51842edc9ad97cc014c944d9af02ef8b72ad8b83 (patch)
tree68e3e4a9753ddb91e56074688d2a23567e9d70f4 /scripts
parent5310d69401ee042e708ae9137b210f0883afcb31 (diff)
include some checks for native builds
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-pkgs.sh27
1 files changed, 19 insertions, 8 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 124355161..28a2e31c6 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -38,6 +38,12 @@ if [[ -n $ADK_NATIVE ]];then
if [[ -n $ADK_TARGET_PACKAGE_RPM ]]; then
NEED_RPM="$NEED_RPM rpm"
fi
+ if [[ -n $ADK_PACKAGE_WPA_SUPPLICANT_WITH_OPENSSL ]]; then
+ NEED_LIBSSLDEV="$NEED_LIBSSLDEV wpa_supplicant"
+ fi
+ if [[ -n $ADK_PACKAGE_IW ]]; then
+ NEED_LIBNLDEV="$NEED_LIBNLDEV iw"
+ fi
fi
if [[ -n $ADK_PACKAGE_GPSD ]]; then
@@ -156,6 +162,13 @@ if [[ -n $NEED_JPEGDEV ]];then
fi
fi
+if [[ -n $NEED_LIBNLDEV ]];then
+ if ! test -f /usr/include/netlink/netlink.h >/dev/null; then
+ echo >&2 You need libnl headers to build $NEED_LIBNLDEV
+ out=1
+ fi
+fi
+
if [[ -n $NEED_X11DEV ]];then
if ! test -f /usr/include/X11/Xlib.h >/dev/null; then
echo >&2 You need X11 headers to build $NEED_X11DEV
@@ -170,14 +183,12 @@ if [[ -n $NEED_XEXTDEV ]];then
fi
fi
-#if [[ -n $NEED_SSLDEV ]]; then
-# if ! test -f /usr/lib/pkgconfig/openssl.pc >/dev/null; then
-# if ! test -f /usr/include/openssl/ssl.h >/dev/null; then
-# echo >&2 You need openssl headers to build $NEED_SSLDEV
-# out=1
-# fi
-# fi
-#fi
+if [[ -n $NEED_LIBSSLDEV ]]; then
+ if ! test -f /usr/include/openssl/ssl.h >/dev/null; then
+ echo >&2 You need openssl headers to build $NEED_LIBSSLDEV
+ out=1
+ fi
+fi
if [[ -n $NEED_MKFONTDIR ]]; then
if ! which mkfontdir >/dev/null 2>&1; then